Commit 005dc74f authored by Tristan Seligmann's avatar Tristan Seligmann

Add Suggests: python-zbar and update the installation hint to suggest apt-get instead of pip.

parent d186e390
......@@ -2,6 +2,8 @@ electrum (2.6.3-1) unstable; urgency=medium
* New upstream release.
- Drop backported install-wizard-connect.patch.
* Add Suggests: python-zbar and update the installation hint to suggest
apt-get instead of pip (closes: #819517).
-- Tristan Seligmann <mithrandi@debian.org> Mon, 04 Apr 2016 03:02:39 +0200
......
......@@ -41,7 +41,7 @@ Depends:
${misc:Depends},
${python:Depends},
Recommends: python-qt4
Suggests: python-btchip, python-trezor
Suggests: python-btchip, python-trezor, python-zbar
Description: Easy to use Bitcoin client
This package provides a lightweight Bitcoin client which protects
you from losing your bitcoins in a backup mistake or computer
......
zbar-installation-instructions.patch
Description: Suggest apt-get for installing zbar, instead of pip
Author: Tristan Seligmann <mithrandi@debian.org>
Forwarded: not-needed
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
Index: b/lib/qrscanner.py
===================================================================
--- a/lib/qrscanner.py 2016-04-04 03:02:27.006432905 +0200
+++ b/lib/qrscanner.py 2016-04-04 03:10:06.058131453 +0200
@@ -37,7 +37,7 @@
def scan_qr(config):
global proc
if not zbar:
- raise RuntimeError("\n".join([_("Cannot start QR scanner."),_("The zbar package is not available."),_("On Linux, try 'sudo pip install zbar'")]))
+ raise RuntimeError("\n".join([_("Cannot start QR scanner."),_("The zbar package is not available."),_("Try 'sudo apt-get install python-zbar'")]))
if proc is None:
device = config.get("video_device", "default")
if device == 'default':
......@@ -37,7 +37,7 @@ proc = None
def scan_qr(config):
global proc
if not zbar:
raise RuntimeError("\n".join([_("Cannot start QR scanner."),_("The zbar package is not available."),_("On Linux, try 'sudo pip install zbar'")]))
raise RuntimeError("\n".join([_("Cannot start QR scanner."),_("The zbar package is not available."),_("Try 'sudo apt-get install python-zbar'")]))
if proc is None:
device = config.get("video_device", "default")
if device == 'default':
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment